<?php

include "common/admin.php";

class Meow_Copytrack_Admin extends MeowApps_Admin {

	public function __construct( $prefix, $mainfile, $domain ) {
		parent::__construct( $prefix, $mainfile, $domain );
		if ( is_admin() ) {
			add_action( 'admin_menu', array( $this, 'app_menu' ) );
			add_action( 'admin_notices', array( $this, 'admin_notices' ) );
			add_action( 'admin_enqueue_scripts', array( $this, 'admin_enqueue_scripts' ) );
		}
	}
	function admin_enqueue_scripts() {
		parent::admin_enqueue_scripts();

		global $mct_version;
		$physical_file = plugin_dir_path( __FILE__ ) . 'js/dist/index.js';
		$version = file_exists( $physical_file ) ? filemtime( $physical_file ) : $mct_version;
		wp_register_script( 'mct_copytrack-vendor', plugin_dir_url( __FILE__ ) . 'js/vendor.js', array( 'wp-element' ), $version );
		wp_register_script( 'mct_copytrack', plugin_dir_url( __FILE__ ) . 'js/index.js', 
			array( 'mct_copytrack-vendor' ), $version );
		wp_enqueue_script( 'mct_copytrack' );

		// wp_register_style( 'meow-neko-ui-lato-font', '//fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700;900&display=swap', [], $version, 'all');
		// wp_register_style( 'meow-neko-ui-roboto-font', '//fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap', [], $version, 'all');
		//wp_enqueue_style( 'meow-neko-ui-lato-font' );
		//wp_enqueue_style( 'meow-neko-ui-roboto-font' );

		wp_localize_script( 'mct_copytrack', 'mct_copytrack', [
			'api_nonce' => wp_create_nonce( 'mct_copytrack' ),
			'api_url'   => site_url('/wp-json/copytrack/v1/')
		]);
	}

	function admin_notices() {
	}

	function common_url( $file ) {
		return trailingslashit( plugin_dir_url( __FILE__ ) ) . 'common/' . $file;
	}

	function app_menu() {
		add_submenu_page( 'meowapps-main-menu', 'Copytrack', 'Copytrack', 'manage_options', 'mct_settings-menu', 
			array( $this, 'admin_settings' )
		);
	}

	function admin_settings() {
		echo '<div id="mct-admin-dashboard"></div>';
	}

}

?>
